package com.ywt.alipaympapi.service.impl;

import com.ywt.request.inpatient.DailyBillDetailsRequest;
import com.ywt.request.inpatient.DailyBillRequest;
import com.ywt.request.inpatient.DepositTradeDetailsRequest;
import com.ywt.request.inpatient.DepositTradeListRequest;
import com.ywt.request.inpatient.DepositTradeRequest;
import com.ywt.request.inpatient.DepositTradeResultRequest;
import com.ywt.request.inpatient.InpatientCheckInRequest;
import com.ywt.request.inpatient.InpatientDeleteRequest;
import com.ywt.request.inpatient.InpatientDetailsRequest;
import com.ywt.request.inpatient.InpatientListRequest;
import com.ywt.request.inpatient.InpatientNoticeRequest;
import com.ywt.request.inpatient.InpatientUpdateRequest;
import com.ywt.request.inpatient.NoticeAuthRequest;
import com.ywt.request.inpatient.SettlementAuthRequest;
import com.ywt.request.inpatient.SettlementDetailsRequest;
import com.ywt.request.inpatient.SettlementExecuteRequest;
import com.ywt.request.inpatient.SettlementListRequest;
import com.ywt.request.inpatient.SettlementQueryRequest;
import com.ywt.response.inpatient.DailyBillDetailsResponseData;
import com.ywt.response.inpatient.DailyBillResponseData;
import com.ywt.response.inpatient.DepositTradeDetailsResponseData;
import com.ywt.response.inpatient.DepositTradeListResponseData;
import com.ywt.response.inpatient.DepositTradeResponseData;
import com.ywt.response.inpatient.DepositTradeResultResponseData;
import com.ywt.response.inpatient.InpatientCheckInResponseData;
import com.ywt.response.inpatient.InpatientDeleteResponseData;
import com.ywt.response.inpatient.InpatientDetailsResponseData;
import com.ywt.response.inpatient.InpatientListResponseData;
import com.ywt.response.inpatient.InpatientNoticeResponseData;
import com.ywt.response.inpatient.InpatientUpdateResponseData;
import com.ywt.response.inpatient.NoticeAuthResponseData;
import com.ywt.response.inpatient.SettlementAuthResponseData;
import com.ywt.response.inpatient.SettlementDetailsResponseData;
import com.ywt.response.inpatient.SettlementExecuteResponseData;
import com.ywt.response.inpatient.SettlementListResponseData;
import com.ywt.response.inpatient.SettlementQueryResponseData;
import com.ywt.alipaympapi.service.InpatientService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author
 */
@Slf4j
@Service
public class InpatientServiceImpl implements InpatientService {

    @Override
    public SettlementQueryResponseData informTradeResult(SettlementQueryRequest request) {
        return null;
    }

    @Override
    public InpatientCheckInResponseData checkIn(InpatientCheckInRequest request) {
        return null;
    }

    @Override
    public InpatientUpdateResponseData updateInpatient(InpatientUpdateRequest request) {
        return null;
    }

    @Override
    public List<InpatientListResponseData> inpatientList(InpatientListRequest request) {
        return null;
    }

    @Override
    public InpatientDeleteResponseData deleteInpatient(InpatientDeleteRequest request) {
        return null;
    }

    @Override
    public List<DailyBillResponseData> dailyBillList(DailyBillRequest request) {
        return null;
    }

    @Override
    public DailyBillDetailsResponseData dailyBillDetail(DailyBillDetailsRequest request) {
        return null;
    }

    @Override
    public DepositTradeResponseData depositTrade(DepositTradeRequest request) {
        return null;
    }

    @Override
    public DepositTradeResultResponseData queryTradeResult(DepositTradeResultRequest request) {
        return null;
    }

    @Override
    public List<DepositTradeListResponseData> queryTradeList(DepositTradeListRequest request) {
        return null;
    }

    @Override
    public DepositTradeDetailsResponseData queryTradeDetails(DepositTradeDetailsRequest request) {
        return null;
    }

    @Override
    public List<SettlementListResponseData> settlementList(SettlementListRequest request) {
        return null;
    }

    @Override
    public SettlementAuthResponseData settlementAuth(SettlementAuthRequest request) {
        return null;
    }

    @Override
    public SettlementExecuteResponseData settlementExecute(SettlementExecuteRequest request) {
        return null;
    }

    @Override
    public SettlementDetailsResponseData settlementDetails(SettlementDetailsRequest request) {
        return null;
    }

    @Override
    public InpatientNoticeResponseData inpatientNotice(InpatientNoticeRequest request) {
        return null;
    }

    @Override
    public NoticeAuthResponseData noticeAuth(NoticeAuthRequest request) {
        return null;
    }

    @Override
    public InpatientDetailsResponseData inpatientDetails(InpatientDetailsRequest request) {
        return null;
    }
}